# ibookerEditorWeb
书客编辑器Web版v1.0，书客编辑器是基于makedown标记语言的一款简易，强大的富文本编辑器。

使用规则：

**第一步：导入文件**

下载本文件，找到文件夹中ibookereditor文件，将其导入到您项目的根目录。

**第二步：添加布局**

```
<div id="ibooker_editor"></div>
```
将以上代码放入Html的body体中。

**第三步：引入CSS**

```
<link rel="stylesheet" rev="stylesheet" href="ibookereditor/css/ibooker_editor_min.css" type="text/css" />
<link rel="stylesheet" rev="stylesheet" href="ibookereditor/css/ibooker_editor_md_min.css" type="text/css"/>
```
将以上代码放入Html的head体中。

**第四步：引入JS**

```
<script type="text/javascript" src="ibookereditor/ibooker-editor-min-1.0.js"></script>
```
完成以上过程，集成书客编辑器就完成了。

**常用属性初始化**

以下是对常用的一些属性进行初始化：通过JS动态操作。

```
<script type="text/javascript">
	window.onload = function() {
		// 初始化书客编辑器
		ibookerEditor.setIbookerEditorOptions({
			isOpenPreview : true, // 否开启预览 true/false
			isHeightFullClient : true, // 编辑器高度是否充满浏览器 true/false
			compileBack : function() { // 预览回调方法 function
				// 获取输入值转义后的Html
				var htmlValue = ibookerEditor.sdConverter.getHtml();
			},
			editorWidth : "100%", // 编辑器的宽度 - 可以设置数字或者百分百
			editorHeight : "100%", // 编辑器的高度 - 可以设置数字或者百分百
			bindTextAreaId : "editor_content", // 绑定输入框ID，默认editor_content
			bindPreviewId : "editor_preview", // 绑定预览框ID，默认editor_preview
			isOpenBoldEvent : true, // 是否开启粗体事件true/false，默认true
			isOpenItalicEvent : true, // 是否开启斜体事件true/false，默认true
			isOpenUnderlineEvent : true, // 是否开启下划线事件true/false，默认true
			isOpenCapitalsEvent : true, // 是否开启单词首字母大写事件true/flase，默认true
			isOpenUppercaseEvent : true, // 是否开启单词转大写事件true/false，默认true
			isOpenLowercaseEvent : true, // 是否开启单词转小写事件true/false，默认true
			isOpenH1Event : true, // 是否开启一级标题事件true/false，默认true
			isOpenH2Event : true, // 是否开启二级标题事件true/false，默认true
			isOpenH3Event : true, // 是否开启三级标题事件true/false，默认true
			isOpenH4Event : true, // 是否开启四级标题事件true/false，默认true
			isOpenH5Event : true, // 是否开启五级标题事件true/false，默认true
			isOpenH6Event : true, // 是否开启六级标题事件true/false，默认true
			isOpenLinkEvent : true, // 是否开启链接事件true/false，默认true
			isOpenQuoteEvent : true, // 是否开启引用事件true/false，默认true
			isOpenCodeEvent : true, // 是否开启代码事件true/false，默认true
			isOpenImgEvent : true, // 是否开启图片事件true/false，默认true
			isOpenOlEvent : true, // 是否开启数字列表事件true/false，默认true
			isOpenUlEvent : true, // 是否开启普通列表事件true/false，默认true
			isOpenUnselectedEvent : true, // 是否开启列表未选中事件true/false，默认true
			isOpenSelectedEvent : true, // 是否开启列表选中事件true/false，默认true
			isOpenTableEvent : true, // 是否开启表格事件true/false，默认true
			isOpenHtmlEvent : true, // 是否开启Html事件true/false，默认true
			isOpenHrEvent : true, // 是否开启分割线事件true/false，默认true
			isOpenUndoEvent : true, // 是否开启撤销事件true/false，默认true
			isOpenRedoEvent : true, // 是否开启重做事件true/false，默认true
			isOpenHelpEvent : true, // 是否开启帮助事件true/false，默认true
			isOpenPreviewEvent : true, // 是否开启预览模式事件true/false，默认true
			isOpenLiveEvent : true, // 是否开启实况模式事件true/false，默认true
			isOpenEditEvent : true, // 是否开启编辑模式事件true/false，默认true
			isOpenZenEvent : true // 是否开启全屏事件true/false，默认true
		});
	};
</script>
```

**其他属性设置**

```
<script type="text/javascript">
	// 转化为Html
	var editorC = document.getElementById("editor_content");
	var html = ibookerEditor.sdConverter.converToHtml(editorC.value);
	
	// 获取转换后的Html
	var html = ibookerEditor.sdConverter.getHtml();
	
	// 设置粗体事件属性
	ibookerEditor.setBoldOptions({
		boldEvent : function () {
			alert("定义粗体事件处理方法");
		},
		addEventBefore : function () {
			alert("粗体事件之前执行方法");
		},
		addEventAfter : function () {
			alert("粗体事件之后执行方法");
		}
	});
  
	// 设置斜体事件属性
	ibookerEditor.setItalicOptions({
		italicEvent : function () {
			alert("定义斜体事件处理方法");
		},
		addEventBefore : function () {
			alert("斜体事件之前执行方法");
		},
		addEventAfter : function () {
			alert("斜体事件之后执行方法");
		}
	});
  
	// 设置删除线事件属性
	ibookerEditor.setStrikeoutOptions({
		strikeoutEvent : function () {
			alert("定义删除线事件处理方法");
		},
		addEventBefore : function () {
			alert("删除线事件之前执行方法");
		},
		addEventAfter : function () {
			alert("删除线事件之后执行方法");
		}
	});
  
	// 设置下划线事件属性
	ibookerEditor.setUnderlineOptions({
		underlineEvent : function () {
			alert("定义下划线事件处理方法");
		},
		addEventBefore : function () {
			alert("下划线事件之前执行方法");
		},
		addEventAfter : function () {
			alert("下划线事件之后执行方法");
		}
	});
  
	// 设置单词首字母大写事件属性
	ibookerEditor.setCapitalsOptions({
		capitalsEvent : function () {
			alert("定义单词首字母大写事件处理方法");
		},
		addEventBefore : function () {
			alert("单词首字母大写事件之前执行方法");
		},
		addEventAfter : function () {
			alert("单词首字母大写事件之后执行方法");
		}
	});
  
	// 设置单词转大写事件属性
	ibookerEditor.setUppercaseOptions({
		uppercaseEvent : function () {
			alert("定义单词转大写事件处理方法");
		},
		addEventBefore : function () {
			alert("单词转大写事件之前执行方法");
		},
		addEventAfter : function () {
			alert("单词转大写事件之后执行方法");
		}
	});
  
	// 设置单词转小写事件属性
	ibookerEditor.setLowercaseOptions({
		lowercaseEvent : function () {
			alert("定义单词转小写事件处理方法");
		},
		addEventBefore : function () {
			alert("单词转小写事件之前执行方法");
		},
		addEventAfter : function () {
			alert("单词转小写事件之后执行方法");
		}
	});
  
	// 设置一级标题事件属性
	ibookerEditor.setH1Options({
		h1Event : function () {
			alert("定义一级标题事件处理方法");
		},
		addEventBefore : function () {
			alert("一级标题事件之前执行方法");
		},
		addEventAfter : function () {
			alert("一级标题事件之后执行方法");
		}
	});
  
	// 设置二级标题事件属性
	ibookerEditor.setH2Options({
		h2Event : function () {
			alert("定义二级标题事件处理方法");
		},
		addEventBefore : function () {
			alert("二级标题事件之前执行方法");
		},
		addEventAfter : function () {
			alert("二级标题事件之后执行方法");
		}
	});
  
	// 设置三级标题事件属性
	ibookerEditor.setH3Options({
		h3Event : function () {
			alert("定义三级标题事件处理方法");
		},
		addEventBefore : function () {
			alert("三级标题事件之前执行方法");
		},
		addEventAfter : function () {
			alert("三级标题事件之后执行方法");
		}
	});
  
	// 设置四级标题事件属性
 	ibookerEditor.setH4Options({
		h4Event : function () {
			alert("定义四级标题事件处理方法");
		},
		addEventBefore : function () {
			alert("四级标题事件之前执行方法");
		},
		addEventAfter : function () {
			alert("四级标题事件之后执行方法");
		}
	}); 
  
	// 设置五级标题事件属性
	ibookerEditor.setH5Options({
		h5Event : function () {
			alert("定义五级标题事件处理方法");
		},
		addEventBefore : function () {
			alert("五级标题事件之前执行方法");
		},
		addEventAfter : function () {
			alert("五级标题事件之后执行方法");
		}
	});
  
	// 设置六级标题事件属性
	ibookerEditor.setH6Options({
		h6Event : function () {
			alert("定义六级标题事件处理方法");
		},
		addEventBefore : function () {
			alert("六级标题事件之前执行方法");
		},
		addEventAfter : function () {
			alert("六级标题事件之后执行方法");
		}
	});
  
	// 设置链接事件属性
	ibookerEditor.setLinkOptions({
		linkEvent : function () {
			alert("定义链接事件处理方法");
		},
		addEventBefore : function () {
			alert("链接事件之前执行方法");
		},
		addEventAfter : function () {
			alert("链接事件之后执行方法");
		}
	});
  
	// 设置引用事件属性
	ibookerEditor.setQuoteOptions({
		quoteEvent : function () {
			alert("定义引用事件处理方法");
		},
		addEventBefore : function () {
			alert("引用事件之前执行方法");
		},
		addEventAfter : function () {
			alert("引用事件之后执行方法");
		}
	});
  
	// 设置代码事件属性
	ibookerEditor.setCodeOptions({
		codeEvent : function () {
			alert("定义代码事件处理方法");
		},
		addEventBefore : function () {
			alert("代码事件之前执行方法");
		},
		addEventAfter : function () {
			alert("代码事件之后执行方法");
		}
	});
  
	// 设置图片事件属性
	ibookerEditor.setImgOptions({
		imgEvent : function () {
			alert("定义图片事件处理方法");
		},
		addEventBefore : function () {
			alert("图片事件之前执行方法");
		},
		addEventAfter : function () {
			alert("图片事件之后执行方法");
		}
	});
  
	// 设置数字列表事件属性
	ibookerEditor.setOlOptions({
		olEvent : function () {
			alert("定义数字列表事件处理方法");
		},
		addEventBefore : function () {
			alert("数字列表事件之前执行方法");
		},
		addEventAfter : function () {
			alert("数字列表事件之后执行方法");
		}
	});
  
	// 设置普通列表事件属性
	ibookerEditor.setUlOptions({
		ulEvent : function () {
			alert("定义普通列表事件处理方法");
		},
		addEventBefore : function () {
			alert("普通列表事件之前执行方法");
		},
		addEventAfter : function () {
			alert("普通列表事件之后执行方法");
		}
	});
  
	// 设置列表未选中事件属性
	ibookerEditor.setUnselectedOptions({
		unselectedEvent : function () {
			alert("定义列表未选中事件处理方法");
		},
		addEventBefore : function () {
			alert("列表未选中事件之前执行方法");
		},
		addEventAfter : function () {
			alert("列表未选中事件之后执行方法");
		}
	});
  
	// 设置列表选中事件属性
	ibookerEditor.setSelectedOptions({
		selectedEvent : function () {
			alert("定义列表选中事件处理方法");
		},
		addEventBefore : function () {
			alert("列表选中事件之前执行方法");
		},
		addEventAfter : function () {
			alert("列表选中事件之后执行方法");
		}
	});
  
	// 设置表格事件属性
	ibookerEditor.setTableOptions({
		tableEvent : function () {
			alert("定义表格事件处理方法");
		},
		addEventBefore : function () {
			alert("表格事件之前执行方法");
		},
		addEventAfter : function () {
			alert("表格事件之后执行方法");
		}
	});
  
	// 设置Html事件属性
	ibookerEditor.setHtmlOptions({
		htmlEvent : function () {
			alert("定义Html事件处理方法");
		},
		addEventBefore : function () {
			alert("Html事件之前执行方法");
		},
		addEventAfter : function () {
			alert("Html事件之后执行方法");
		}
	});
  
	// 设置分割线事件属性
	ibookerEditor.setHrOptions({
		hrEvent : function () {
			alert("定义分割线事件处理方法");
		},
		addEventBefore : function () {
			alert("分割线事件之前执行方法");
		},
		addEventAfter : function () {
			alert("分割线事件之后执行方法");
		}
	});
  
	// 设置撤销事件属性
	ibookerEditor.setUndoOptions({
		undoEvent : function () {
			alert("定义撤销事件处理方法");
		},
		addEventBefore : function () {
			alert("撤销事件之前执行方法");
		},
		addEventAfter : function () {
			alert("撤销事件之后执行方法");
		}
	});
  
	// 设置重做事件属性
	ibookerEditor.setRedoOptions({
		redoEvent : function () {
			alert("定义重做事件处理方法");
		},
		addEventBefore : function () {
			alert("重做事件之前执行方法");
		},
		addEventAfter : function () {
			alert("重做事件之后执行方法");
		}
	});
  
	// 设置预览事件属性
	ibookerEditor.setPreviewOptions({
		previewEvent : function () {
			alert("定义预览事件处理方法");
		},
		addEventBefore : function () {
			alert("预览事件之前执行方法");
		},
		addEventAfter : function () {
			alert("预览事件之后执行方法");
		}
	});
  
	// 设置实况事件属性
	ibookerEditor.setLiveOptions({
		liveEvent : function () {
			alert("定义实况事件处理方法");
		},
		addEventBefore : function () {
			alert("实况事件之前执行方法");
		},
		addEventAfter : function () {
			alert("实况事件之后执行方法");
		}
	});
  
	// 设置编辑事件属性
	ibookerEditor.setEditOptions({
		editEvent : function () {
			alert("定义编辑事件处理方法");
		},
		addEventBefore : function () {
			alert("编辑事件之前执行方法");
		},
		addEventAfter : function () {
			alert("编辑事件之后执行方法");
		}
	});
  
	// 设置全屏事件
	ibookerEditor.setZenOptions({
		zenEvent : function () {
			alert("定义全屏事件处理方法");
		},
		addEventBefore : function () {
			alert("全屏事件之前执行方法");
		},
		addEventAfter : function () {
			alert("全屏事件之后执行方法");
		}
	});
</script>
```
